> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# [Beta] Onboard a site by uploading utility bill PDFs



## OpenAPI

````yaml /api-reference/openapi.json post /v1/homes/bill-upload
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/homes/bill-upload:
    post:
      tags:
        - homes
      summary: '[Beta] Onboard a site by uploading utility bill PDFs'
      operationId: billUploadOnboard
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillUploadRequestDto'
            example:
              name: My home
              zipcode: '94107'
              customerClass: residential
              billPDFs:
                - https://example.com/bills/january.pdf
              solarSystemSizeKw: 5
              isNonNetMetered: false
              hasEvCharger: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillUploadResponseDto'
              example:
                id: ws_home_123456789
                status: processing
      security:
        - x-ws-api-key: []
        - x-ws-api-key: []
components:
  schemas:
    BillUploadRequestDto:
      type: object
      properties:
        name:
          description: The name of the site/home
          type: string
          minLength: 1
          maxLength: 255
        zipcode:
          description: The zip code of the site
          type: string
          pattern: ^\d{5}(?:[- ]\d{4})?$
        customerClass:
          type: string
          enum:
            - residential
            - commercial
            - industrial
        billPDFs:
          description: URLs pointing to the utility bill PDF(s)
          type: array
          minItems: 1
          maxItems: 5
          items:
            type: string
            format: uri
        solarSystemSizeKw:
          type: number
          minimum: 0
          exclusiveMinimum: true
        isNonNetMetered:
          type: boolean
        utilityEIAId:
          type: string
          pattern: ^\d+$
        ratePlanId:
          type: string
        userId:
          type: string
        hasEvCharger:
          type: boolean
          nullable: true
        hasElectricHeater:
          type: boolean
          nullable: true
        hasSmartWaterHeater:
          type: boolean
          nullable: true
        hasElectricWaterHeater:
          type: boolean
          nullable: true
        hasAC:
          type: boolean
          nullable: true
        acType:
          type: string
          enum:
            - central
            - window
            - split
            - other
          nullable: true
        peakDemand:
          type: number
          minimum: 0
          exclusiveMinimum: true
      required:
        - name
        - zipcode
        - customerClass
        - billPDFs
    BillUploadResponseDto:
      type: object
      properties:
        id:
          description: The newly created home ID
          type: string
        status:
          type: string
          enum:
            - processing
            - completed
            - failed
      required:
        - id
        - status
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````